
import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;

@Entity
@IdClass(StudentId.class)
public class Student {
    @Id private String country;
    @Id
    @Column(name="EMP_ID")
    private int id;
    private String name;


    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    public String toString() {
        return "Student id: " + getId() + " name: " + getName() +
               " country: " + getCountry();
    }
}
class StudentId implements Serializable {
    private String country; 
    private int id; 

    public StudentId() {}
    public StudentId(String country, int id) {
      this.country = country;
      this.id = id;
    }

    public String getCountry() { return country; }
    public int getId() { return id; }

    public boolean equals(Object o) { 
        return ((o instanceof StudentId) && 
                country.equals(((StudentId)o).getCountry()) &&
                id == ((StudentId) o).getId());

    }

    public int hashCode() { 
        return country.hashCode() + id; 
    }
}